class dyndns::client {
  package {"ddclient":
    ensure => installed,
  }

  file { 
    "/etc/ddclient.conf":
      owner   => root,
      group   => root,
      mode    => 600,
      require => Package["ddclient"],
      content => template("dyndns/ddclient.conf.erb");
    "/etc/default/ddclient":
      require => Package["ddclient"],
      content => template("dyndns/ddclient.erb");
  }
}
